<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    protected $table = 'users';
    protected $primaryKey = 'id_user';
    protected $guarded = [];

    // Nonaktifkan remember_token
    public function getRememberToken()
    {
        return null; // Tidak menggunakan remember token
    }

    public function setRememberToken($value)
    {
        // Tidak melakukan apa-apa
    }

    public function getRememberTokenName()
    {
        return null; // Tidak ada kolom remember_token
    }
}